NXOpen .NET Reference  12.0.0
NXOpen.CAM.Path Member List

This is the complete list of members for NXOpen.CAM.Path, including all inherited members.

AddCircularMotion(NXOpen.CAM.PathCircularMotion data, NXOpen.CAM.CamPathToolpathEventLocation location, NXOpen.CAM.PathEvent referenceEvent)NXOpen.CAM.Path
AddHelixMotion(NXOpen.CAM.PathHelixMotion data, NXOpen.CAM.CamPathToolpathEventLocation location, NXOpen.CAM.PathEvent referenceEvent)NXOpen.CAM.Path
AddLevelMarker(NXOpen.CAM.PathLevelMarker data, NXOpen.CAM.CamPathToolpathEventLocation location, NXOpen.CAM.PathEvent referenceEvent)NXOpen.CAM.Path
AddLinearMotion(NXOpen.CAM.PathLinearMotion data, NXOpen.CAM.CamPathToolpathEventLocation location, NXOpen.CAM.PathEvent referenceEvent)NXOpen.CAM.Path
AddUde(string udeName, NXOpen.CAM.CamPathToolpathEventLocation location, NXOpen.CAM.PathEvent referenceEvent)NXOpen.CAM.Path
AppendCircularMotion(NXOpen.CAM.PathCircularMotion data)NXOpen.CAM.Path
AppendHelixMotion(NXOpen.CAM.PathHelixMotion data)NXOpen.CAM.Path
AppendLevelMarker(NXOpen.CAM.PathLevelMarker data)NXOpen.CAM.Path
AppendLinearMotion(NXOpen.CAM.PathLinearMotion data)NXOpen.CAM.Path
AppendUde(string udeName)NXOpen.CAM.Path
ContactTypeNXOpen.CAM.Path
DeleteAllUdesOfName(string udeName)NXOpen.CAM.Path
DeleteOneEvent(int index)NXOpen.CAM.Path
DeleteOneEvent(NXOpen.CAM.PathEvent pathEvent)NXOpen.CAM.Path
EmptyPath()NXOpen.CAM.Path
GetCircularMotion(int index)NXOpen.CAM.Path
GetCircularMotion(NXOpen.CAM.PathEvent eventOfInterest)NXOpen.CAM.Path
GetFirstEvent()NXOpen.CAM.Path
GetHelixMotion(int index)NXOpen.CAM.Path
GetHelixMotion(NXOpen.CAM.PathEvent eventOfInterest)NXOpen.CAM.Path
GetLaserOptimizationData()NXOpen.CAM.Path
GetLastEvent()NXOpen.CAM.Path
GetLevelMarker(int index)NXOpen.CAM.Path
GetLevelMarker(NXOpen.CAM.PathEvent eventOfInterest)NXOpen.CAM.Path
GetLinearMotion(int index)NXOpen.CAM.Path
GetLinearMotion(NXOpen.CAM.PathEvent eventOfInterest)NXOpen.CAM.Path
GetToolpathEvent(int eventNumber)NXOpen.CAM.Path
GetToolpathEventType(int eventNumber)NXOpen.CAM.Path
GetToolpathEventType(NXOpen.CAM.PathEvent pathEvent)NXOpen.CAM.Path
GetUde(int index)NXOpen.CAM.Path
GetUde(NXOpen.CAM.PathEvent eventOfInterest)NXOpen.CAM.Path
InsertCircularMotionAfter(NXOpen.CAM.PathCircularMotion data, int index)NXOpen.CAM.Path
InsertCircularMotionBefore(NXOpen.CAM.PathCircularMotion data, int index)NXOpen.CAM.Path
InsertHelixMotionAfter(NXOpen.CAM.PathHelixMotion data, int index)NXOpen.CAM.Path
InsertHelixMotionBefore(NXOpen.CAM.PathHelixMotion data, int index)NXOpen.CAM.Path
InsertLevelMarkerAfter(NXOpen.CAM.PathLevelMarker data, int index)NXOpen.CAM.Path
InsertLevelMarkerBefore(NXOpen.CAM.PathLevelMarker data, int index)NXOpen.CAM.Path
InsertLinearMotionAfter(NXOpen.CAM.PathLinearMotion data, int index)NXOpen.CAM.Path
InsertLinearMotionBefore(NXOpen.CAM.PathLinearMotion data, int index)NXOpen.CAM.Path
InsertUdeAfter(string udeName, int index)NXOpen.CAM.Path
InsertUdeBefore(string udeName, int index)NXOpen.CAM.Path
IsToolpathEventAMotion(int eventNumber, out NXOpen.CAM.CamPathMotionType motionType, out NXOpen.CAM.CamPathMotionShapeType motionShape)NXOpen.CAM.Path
IsToolpathEventAMotion(NXOpen.CAM.PathEvent eventOfInterest, out NXOpen.CAM.CamPathMotionType motionType, out NXOpen.CAM.CamPathMotionShapeType motionShape)NXOpen.CAM.Path
IsToolpathEventUde(NXOpen.CAM.PathEvent eventOfInterest, out string udeName)NXOpen.CAM.Path
MoveEvent(int fromIndex, int toIndex)NXOpen.CAM.Path
MoveEvent(NXOpen.CAM.PathEvent eventToMove, NXOpen.CAM.CamPathToolpathEventLocation location, NXOpen.CAM.PathEvent referenceEvent)NXOpen.CAM.Path
NewPathCircularMotion()NXOpen.CAM.Path
NewPathHelixMotion()NXOpen.CAM.Path
NewPathLinearMotion()NXOpen.CAM.Path
NumberOfToolpathEventsNXOpen.CAM.Path
SetCircularMotion(int index, NXOpen.CAM.PathCircularMotion data)NXOpen.CAM.Path
SetCircularMotion(NXOpen.CAM.PathEvent eventOfInterest, NXOpen.CAM.PathCircularMotion data)NXOpen.CAM.Path
SetHelixMotion(int index, NXOpen.CAM.PathHelixMotion data)NXOpen.CAM.Path
SetHelixMotion(NXOpen.CAM.PathEvent eventOfInterest, NXOpen.CAM.PathHelixMotion data)NXOpen.CAM.Path
SetLevelMarker(int index, NXOpen.CAM.PathLevelMarker data)NXOpen.CAM.Path
SetLevelMarker(NXOpen.CAM.PathEvent eventOfInterest, NXOpen.CAM.PathLevelMarker data)NXOpen.CAM.Path
SetLinearMotion(int index, NXOpen.CAM.PathLinearMotion data)NXOpen.CAM.Path
SetLinearMotion(NXOpen.CAM.PathEvent eventOfInterest, NXOpen.CAM.PathLinearMotion data)NXOpen.CAM.Path
SetUde(int index, NXOpen.CAM.Ude data)NXOpen.CAM.Path
SetUde(NXOpen.CAM.PathEvent eventOfInterest, NXOpen.CAM.Ude data)NXOpen.CAM.Path
ToolAxisTypeNXOpen.CAM.Path
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.